org.apache.xmlbeans.impl.xpath

## Class XPathExecutionContext

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.XPathExecutionContext

- Direct Known Subclasses:
    SaxonXPathEngine

      public class XPathExecutionContext
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ATTRS`
    `static int` | `DESCEND`
    `static int` | `HIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathExecutionContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attr(QName name)`
    `int` | `element(QName name)`
    `void` | `end()`
    `void` | `init(XPath xpath)`
    `int` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HIT

          public static final int HIT

      See Also:
        Constant Field Values

    - #### DESCEND

          public static final int DESCEND

      See Also:
        Constant Field Values

    - #### ATTRS

          public static final int ATTRS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XPathExecutionContext

          public XPathExecutionContext()

  - ### Method Detail

    - #### init

          public final void init(XPath xpath)

    - #### start

          public final int start()

    - #### element

          public final int element(QName name)

    - #### attr

          public final boolean attr(QName name)

    - #### end

          public final void end()